> ## Documentation Index
> Fetch the complete documentation index at: https://docs.polynode.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Event Detail

> Full event data with all markets, prices, token IDs, and metadata.

Returns comprehensive data for a single Polymarket event, including all sub-markets with current outcome prices, volumes, liquidity, and token IDs for price history lookups.

<ParamField path="slug" type="string" required>
  Event slug (e.g., `how-many-fed-rate-cuts-in-2026`). Found in event URLs on Polymarket.
</ParamField>

<ResponseExample>
  ```json theme={null}
  {
    "id": "51456",
    "slug": "how-many-fed-rate-cuts-in-2026",
    "title": "How many Fed rate cuts in 2026?",
    "description": "This market will resolve according to the exact amount of cuts...",
    "image": "https://polymarket-upload.s3.us-east-2.amazonaws.com/how-many-fed-rate-cuts-in-2025-9qstZkSL1dn0.jpg",
    "icon": "https://polymarket-upload.s3.us-east-2.amazonaws.com/how-many-fed-rate-cuts-in-2025-9qstZkSL1dn0.jpg",
    "active": true,
    "closed": false,
    "volume": 12679447.65,
    "volume24hr": 531530.07,
    "liquidity": 1120355.33,
    "openInterest": 711723.41,
    "startDate": "2025-09-29T22:29:04.30848Z",
    "endDate": "2026-12-31T00:00:00Z",
    "markets": [
      {
        "question": "Will no Fed rate cuts happen in 2026?",
        "conditionId": "0xd4e77ba6f29fc093509d24f508631abd445ecf506bbdc9c4c80e60256a318527",
        "outcomes": ["Yes", "No"],
        "outcomePrices": ["0.3455", "0.6545"],
        "volume": 2368774.98,
        "liquidity": 54958.02,
        "active": true,
        "closed": false,
        "groupItemTitle": "0 (0 bps)",
        "tokenId": "12403602920039269077597917340921667997547115084613238528792639013246536343316"
      },
      {
        "question": "Will 1 Fed rate cut happen in 2026?",
        "conditionId": "0x5e082f0b57f47a29044aa35b4c5658393122e659d5feae521c06b57cdd7f905c",
        "outcomes": ["Yes", "No"],
        "outcomePrices": ["0.195", "0.805"],
        "volume": 780389.52,
        "liquidity": 65401.81,
        "active": true,
        "closed": false,
        "groupItemTitle": "1 (25 bps)",
        "tokenId": "113379839734351069617987084078322474966003108854908079701423911002443710490196"
      },
      {
        "question": "Will 2 Fed rate cuts happen in 2026?",
        "conditionId": "0xe0d9f508a249e0070db06eb7d1e1fb17eb23c963f6fb722c4c3f81e23240c1cd",
        "outcomes": ["Yes", "No"],
        "outcomePrices": ["0.165", "0.835"],
        "volume": 754043.87,
        "liquidity": 75307.43,
        "active": true,
        "closed": false,
        "groupItemTitle": "2 (50 bps)",
        "tokenId": "72535544017897924722695722172278828562733090748474862987195303914909938482758"
      }
    ],
    "series": null,
    "similarMarkets": 0,
    "annotations": 0
  }
  ```
</ResponseExample>


## OpenAPI

````yaml GET /v1/event/{slug}
openapi: 3.1.0
info:
  title: PolyNode API
  description: >-
    Real-time Polymarket data API with decoded mempool settlements, OHLCV
    candles, and full Polygon JSON-RPC proxy.
  contact:
    name: PolyNode
    url: https://polynode.dev
  license:
    name: ''
  version: 2.0.0
servers:
  - url: https://api.polynode.dev
    description: Production
security:
  - api_key: []
paths:
  /v1/event/{slug}:
    get:
      tags:
        - Enriched Data
      summary: Event detail
      description: >-
        Full event data with all sub-markets, current prices, volumes,
        liquidity, and token IDs.
      operationId: event_detail
      parameters:
        - name: slug
          in: path
          description: Event slug from Polymarket URL (e.g. how-many-fed-rate-cuts-in-2026)
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Event data
          content:
            application/json:
              schema:
                type: object
              example:
                id: '51456'
                slug: how-many-fed-rate-cuts-in-2026
                title: How many Fed rate cuts in 2026?
                image: >-
                  https://polymarket-upload.s3.us-east-2.amazonaws.com/how-many-fed-rate-cuts-in-2025-9qstZkSL1dn0.jpg
                active: true
                closed: false
                volume: 14019050.01
                volume24hr: 443602.93
                liquidity: 1140531.69
                openInterest: 786628.52
                startDate: '2025-09-29T22:29:04.30848Z'
                endDate: '2026-12-31T00:00:00Z'
                markets:
                  - question: Will no Fed rate cuts happen in 2026?
                    conditionId: >-
                      0xd4e77ba6f29fc093509d24f508631abd445ecf506bbdc9c4c80e60256a318527
                    outcomes:
                      - 'Yes'
                      - 'No'
                    outcomePrices:
                      - '0.3985'
                      - '0.6015'
                    volume: 2568092.27
                    liquidity: 55996.28
                    active: true
                    closed: false
                    groupItemTitle: 0 (0 bps)
                    tokenId: >-
                      12403602920039269077597917340921667997547115084613238528792639013246536343316
        '401':
          description: Missing API key
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '404':
          description: Event not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      security:
        - api_key: []
components:
  schemas:
    ErrorResponse:
      type: object
      required:
        - error
      properties:
        error:
          type: string
  securitySchemes:
    api_key:
      type: apiKey
      in: header
      name: x-api-key

````